Bug 535375 - (RHQ-2078) add support for managed product configuration instructions embedded in plugin descriptors
add support for managed product configuration instructions embedded in plugin...
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: No Component (Show other bugs)
unspecified
All All
low Severity low (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: FutureFeature, Improvement
Depends On: RHQ-2079
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-12 09:04 EDT by John Mazzitelli
Modified: 2014-05-05 16:48 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.4
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-05 16:48:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2009-05-12 09:04:00 EDT
I see a 'help' element used in a couple places in on-plugin.xsd, but it doesn't look fully baked. A couple thoughts...

1) The help element should support version ranges, e.g.:

<help versionRange="[1.3,2.0)">
<![CDATA[
   Configure Apache 1.3.x as follows...
 ]]>
</help>

2) The help text should be linked and/or displayed in both the docs and the GUI (i.e. for disconnected Servers). Our docs are Confluence, and the GUI is HTML. To avoid defining each help block twice in the descriptor, in two different formats, only define it one in Confluence format (for generating docs from), then simply make the help in the GUI a link to the docs page. This would also mean that we would only have to store the help links in the database, rather than all of the help text. Note, we'd probably want to have two help URLs associated with a resource type - a main help URL (i.e. the Managed Product page) and a connection help URL; both could be linked to from the GUI.

3) It would be nice, but not essential, to support include and append attributes for the help element, as Hyperic did in 1.x. This would prevent some redundancy, e.g.:

<help name="restart-server">...</help>
<help name="test-snmp">...</help>
<help name="Apache 1.3" append="restart-server, test-snmp">...</help>
<help name="Apache 2.x" append="restart-server, test-snmp">...</help>
Comment 1 Charles Crouch 2009-09-01 12:04:20 EDT
Move features/improvements to 1.4
Comment 2 Red Hat Bugzilla 2009-11-10 15:57:19 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2078
Comment 3 wes hayutin 2010-02-16 12:08:35 EST
mass add of key word FutureFeature to help track
Comment 4 Corey Welton 2010-08-25 11:53:41 EDT
Mazz, did any of these ever actually get implemented?
Comment 5 John Mazzitelli 2010-08-25 12:20:22 EDT
none of this got implemented. the help text is only shown in the plugin page when viewing the plugin information.

Note You need to log in before you can comment on or make changes to this bug.